Package com.evopdf

# Enum DestinationViewMode

java.lang.Object
java.lang.Enum<DestinationViewMode>
com.evopdf.DestinationViewMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DestinationViewMode>`, `java.lang.constant.Constable`

public enum DestinationViewMode extends Enum<DestinationViewMode>
The view mode when an explicit destination is displayed in the viewer

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Fit`
  Display the page designated by page, with its contents magnified just enough to fit the entire page within the window both horizontally and vertically.
  `FitB`
  Display the page designated by page, with its contents magnified just enough to fit its bounding box entirely within the window both horizontally and vertically.
  `FitBH`
  Display the page designated by page, with the vertical coordinate top positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of its bounding box within the window.
  `FitBV`
  Display the page designated by page, with the horizontal coordinate left positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of its bounding box within the window.
  `FitH`
  Display the page designated by page, with the vertical coordinate top positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of the page within the window.
  `FitV`
  Display the page designated by page, with the horizontal coordinate left positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of the page within the window.
  `XYZ`
  Display the page designated by page, with the coordinates (left, top) positioned at the upper-left corner of the window and the contents of the page magnified by the factor zoom.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static DestinationViewMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DestinationViewMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### XYZ

    public static final DestinationViewMode XYZ
    Display the page designated by page, with the coordinates (left, top) positioned at the upper-left corner of the window and the contents of the page magnified by the factor zoom. A null value for any of the parameters left, top, or zoom specifies that the current value of that parameter is to be retained unchanged. A zoom value of 0 has the same meaning as a null value.

  - ### Fit

    public static final DestinationViewMode Fit
    Display the page designated by page, with its contents magnified just enough to fit the entire page within the window both horizontally and vertically. If the required horizontal and vertical magnification factors are different, use the smaller of the two, centering the page within the window in the other dimension.

  - ### FitH

    public static final DestinationViewMode FitH
    Display the page designated by page, with the vertical coordinate top positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of the page within the window.

  - ### FitV

    public static final DestinationViewMode FitV
    Display the page designated by page, with the horizontal coordinate left positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of the page within the window.

  - ### FitB

    public static final DestinationViewMode FitB
    Display the page designated by page, with its contents magnified just enough to fit its bounding box entirely within the window both horizontally and vertically. If the required horizontal and vertical magnification factors are different, use the smaller of the two, centering the bounding box within the window in the other dimension.

  - ### FitBH

    public static final DestinationViewMode FitBH
    Display the page designated by page, with the vertical coordinate top positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of its bounding box within the window. A null value for top specifies that the current value of that parameter is to be retained unchanged.

  - ### FitBV

    public static final DestinationViewMode FitBV
    Display the page designated by page, with the horizontal coordinate left positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of its bounding box within the window. A null value for left specifies that the current value of that parameter is to be retained unchanged.

- ## Method Details

  - ### values

    public static DestinationViewMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DestinationViewMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()